// import axios from 'axios';

const sampleGetAll = {
  allIds: ["1", "2", "3"],
  byId: {
    "1": {
      id: "1",
      orderId: "o1",
      status: "unfulfilled",
    },
    "2": {
      id: "2",
      orderId: "o2",
      status: "unfulfilled",
    },
    "3": {
      id: "3",
      orderId: "o3",
      status: "unfulfilled",
    },
  },
};

const sampleNew = {
  id: "4",
  orderId: "o4",
  status: "unfulfilled",
};

const sampleUpdateFul = {
  id: "3",
  orderId: "o3",
  status: "fulfilled",
};

const sampleUpdateCan = {
  id: "2",
  orderId: "o2",
  status: "cancelled",
};

const getAllPromise = new Promise( (resolve, reject) => {
  resolve(sampleGetAll)
})
const createNewPromise = new Promise( (resolve, reject) => {
  resolve(sampleNew)
})
const updateFulfillPromise = new Promise( (resolve, reject) => {
  resolve(sampleUpdateFul)
})
const updateCancelPromise = new Promise( (resolve, reject) => {
  resolve(sampleUpdateCan)
})

export const getOrders = () => {
  return getAllPromise;
};

export const createOrder = (order) => {
  return createNewPromise;
}

export const editOrder = (order) => {
  return updateFulfillPromise;
}

// export const getOrders =() => {
//   return axios.get("http://localhost:8080/api/orders");
// }